org.springframework.batch.core.repository.dao

## Interface StepExecutionDao

- All Known Implementing Classes:
    JdbcStepExecutionDao, MapStepExecutionDao

      public interface StepExecutionDao

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStepExecutions(JobExecution jobExecution)` Retrieve all the `StepExecution` for the parent `JobExecution`.
    `StepExecution` | `getStepExecution(JobExecution jobExecution, java.lang.Long stepExecutionId)` Retrieve a `StepExecution` from its id.
    `void` | `saveStepExecution(StepExecution stepExecution)` Save the given StepExecution.
    `void` | `saveStepExecutions(java.util.Collection<StepExecution> stepExecutions)` Save the given collection of StepExecution as a batch.
    `void` | `updateStepExecution(StepExecution stepExecution)` Update the given StepExecution Preconditions: Id must not be null.

- - ### Method Detail

    - #### saveStepExecution

          void saveStepExecution(StepExecution stepExecution)

      Save the given StepExecution. Preconditions: Id must be null. Postconditions: Id will be set to a unique Long.
      Parameters:
        `stepExecution` -

    - #### saveStepExecutions

          void saveStepExecutions(java.util.Collection<StepExecution> stepExecutions)

      Save the given collection of StepExecution as a batch. Preconditions: StepExecution Id must be null. Postconditions: StepExecution Id will be set to a unique Long.
      Parameters:
        `stepExecutions` -

    - #### updateStepExecution

          void updateStepExecution(StepExecution stepExecution)

      Update the given StepExecution Preconditions: Id must not be null.
      Parameters:
        `stepExecution` -

    - #### getStepExecution

          StepExecution getStepExecution(JobExecution jobExecution,
                                         java.lang.Long stepExecutionId)

      Retrieve a `StepExecution` from its id.
      Parameters:
        `jobExecution` - the parent `JobExecution`
        `stepExecutionId` - the step execution id
      Returns:
        a `StepExecution`

    - #### addStepExecutions

          void addStepExecutions(JobExecution jobExecution)

      Retrieve all the `StepExecution` for the parent `JobExecution`.
      Parameters:
        `jobExecution` - the parent job execution